#!/usr/bin/env python3
# -*- coding: utf-8 -*-
"""
Created on Fri Dec  2 11:29:03 2022

@author: sadievrenseker
"""

import pandas as pd
df = pd.read_excel('gender.xlsx', index_col = 0)
X = df[['weight','height']]
y = df['gender']
from sklearn.model_selection import train_test_split
X_train, X_test, y_train, y_test = train_test_split(
     X, y, test_size=0.33, random_state=42)

from sklearn.tree import DecisionTreeClassifier

dtc = DecisionTreeClassifier()
dtc.fit(X_train,y_train)
y_pred = dtc.predict(X_test)

from sklearn.model_selection import cross_validate
cv = cross_validate(dtc, X, y, cv = 4)

print(cv['test_score'])

from sklearn.naive_bayes import GaussianNB
nb = GaussianNB()
cv = cross_validate(nb, X, y, cv = 4)

print(cv['test_score'])







